Cannot change to SDDM login screen [reopened]

Discussion in general that pertains to Sabayon Linux - Must Pertain to Sabayon Linux

Moderator: Moderators

User avatar
linuxfluesterer
Old Dear Hen
Posts: 873
Joined: Thu Sep 20, 2012 19:47
Location: Germany

Re: Cannot change to SDDM login screen [reopened]

Post by linuxfluesterer » Wed Oct 18, 2017 16:23

In between I have tried some hints from this website:
https://wiki.archlinux.org/index.php/SDDM
Especially, I did this:

Code: Select all

Screen resolution is too low
Issue may be caused by HiDPI usage for monitors with corrupted EDID: [2]

Try disabling HiDPI in sddm.conf:

/etc/sddm.conf
[General]
# Enable Qt's automatic high-DPI scaling
EnableHiDPI=false
If even the above fails, you can try setting your screen size in a Xorg conf file:

/etc/X11/xorg.conf.d/90-monitor.conf
Section "Monitor"
        Identifier      "<default monitor>"
        DisplaySize     345 194 # in millimeters
EndSection
but SDDM login screen (and wallpaper) is still in a lousy resolution. This is my actual sddm.log:

Code: Select all

cat ./.local/share/sddm/xorg-session.log
startkde: Starting up...
Cannot find 'org.kde.KSplash.setStage' in object /KSplash at org.kde.KSplash
2017-10-18T17:13:13 Checking update-file '/usr/share/kconf_update/disable_kmix.upd' for new updates
2017-10-18T17:13:13 Checking update-file '/usr/share/kconf_update/fonts_akregator.upd' for new updates
2017-10-18T17:13:13 Checking update-file '/usr/share/kconf_update/fonts_global.upd' for new updates
2017-10-18T17:13:13 Checking update-file '/usr/share/kconf_update/fonts_global_toolbar.upd' for new updates
2017-10-18T17:13:13 Checking update-file '/usr/share/kconf_update/fonts_kate.upd' for new updates
2017-10-18T17:13:13 Checking update-file '/usr/share/kconf_update/gtkbreeze5.5.upd' for new updates
2017-10-18T17:13:13 Checking update-file '/usr/share/kconf_update/kcalcrc.upd' for new updates
2017-10-18T17:13:13 Checking update-file '/usr/share/kconf_update/kde4breeze.upd' for new updates
2017-10-18T17:13:13 Checking update-file '/usr/share/kconf_update/kgthemeprovider-migration.upd' for new updates
2017-10-18T17:13:13 Checking update-file '/usr/share/kconf_update/konversation.upd' for new updates
2017-10-18T17:13:13 Checking update-file '/usr/share/kconf_update/korganizer.upd' for new updates
2017-10-18T17:13:13 Checking update-file '/usr/share/kconf_update/krdb_libpathwipe.upd' for new updates
2017-10-18T17:13:13 Checking update-file '/usr/share/kconf_update/krunnerplugins.upd' for new updates
2017-10-18T17:13:13 Checking update-file '/usr/share/kconf_update/kscreenlocker.upd' for new updates
2017-10-18T17:13:13 kscreenlocker.upd: Found new update '0.1-autolock'
2017-10-18T17:13:13 kscreenlocker.upd: Skipping update '0.1-autolock'
2017-10-18T17:13:13 Checking update-file '/usr/share/kconf_update/okular.upd' for new updates
Service started, version: 7.0.0
OpenGL vendor string:                   Intel Open Source Technology Center
OpenGL renderer string:                 Mesa DRI Intel(R) HD Graphics 630 (Kaby Lake GT2) 
OpenGL version string:                  3.0 Mesa 17.2.2
OpenGL shading language version string: 1.30
Driver:                                 Intel
GPU class:                              Unknown
OpenGL version:                         3.0
GLSL version:                           1.30
Mesa version:                           17.2.2
X server version:                       1.19.3
Linux kernel version:                   4.12
Requires strict binding:                yes
GLSL shaders:                           yes
Texture NPOT support:                   yes
Virtual Machine:                        no
akonadi.collectionattributetable                   OK
akonadi.collectionmimetyperelation                 OK
akonadi.collectionpimitemrelation                  OK
akonadi.collectiontable                            OK
akonadi.flagtable                                  OK                                                                  
akonadi.mimetypetable                              OK                                                                  
akonadi.parttable                                  OK
akonadi.parttypetable                              OK
akonadi.pimitemflagrelation                        OK
akonadi.pimitemtable                               OK
akonadi.pimitemtagrelation                         OK
akonadi.relationtable                              OK
akonadi.relationtypetable                          OK
akonadi.resourcetable                              OK
akonadi.schemaversiontable                         OK
akonadi.tagattributetable                          OK
akonadi.tagremoteidresourcerelationtable           OK
akonadi.tagtable                                   OK
akonadi.tagtypetable                               OK
Could not open pavucontrol using a library: Cannot load library libkdeinit5_pavucontrol: (libkdeinit5_pavucontrol: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden)

(pavucontrol:5129): Gtk-WARNING **: Theme parsing error: gtk.css:68:35: The style property GtkButton:child-displacement-x is deprecated and shouldn't be used anymore. It will be removed in a future version

(pavucontrol:5129): Gtk-WARNING **: Theme parsing error: gtk.css:69:35: The style property GtkButton:child-displacement-y is deprecated and shouldn't be used anymore. It will be removed in a future version

(pavucontrol:5129): Gtk-WARNING **: Theme parsing error: gtk.css:70:34: The style property GtkCheckButton:indicator-size is deprecated and shouldn't be used anymore. It will be removed in a future version

(pavucontrol:5129): Gtk-WARNING **: Theme parsing error: gtk.css:71:36: The style property GtkCheckMenuItem:indicator-size is deprecated and shouldn't be used anymore. It will be removed in a future version

(pavucontrol:5129): Gtk-WARNING **: Theme parsing error: gtk.css:73:46: The style property GtkScrolledWindow:scrollbars-within-bevel is deprecated and shouldn't be used anymore. It will be removed in a future version

(pavucontrol:5129): Gtk-WARNING **: Theme parsing error: gtk.css:76:30: The style property GtkExpander:expander-size is deprecated and shouldn't be used anymore. It will be removed in a future version

(pavucontrol:5129): Gtk-WARNING **: Theme parsing error: gtk.css:83:29: The style property GtkStatusbar:shadow-type is deprecated and shouldn't be used anymore. It will be removed in a future version
Warning: another Magneto instance is already running.
Traceback (most recent call last):
  File "/usr/bin/sabayon-greeter", line 35, in <module>
    from gi.repository import WebKit, Gtk
ImportError: No module named 'gi'
I see, there is an error in /usr/bin/sabayon/greeter (almost last entry). Could this be the reason for misbehavior?

-Linuxfluesterer (I love KDE...)
Take away Facebook from me and let there be real people again...

Stupot
Sagely Hen
Posts: 1745
Joined: Wed Feb 14, 2007 3:44
Location: St. Louis, MO, USA

Re: Cannot change to SDDM login screen [reopened]

Post by Stupot » Wed Oct 18, 2017 20:56

Which version of python are you running as your system default?

I believe Sabayon is set up to assume python 2, so if you have python 3 as the default that could cause some issues.

As far as the error seen goes:

ImportError: No module named 'gi'

Looks like you're missing dev-python/pygobject (there's a version available for both 2 and 3)

User avatar
linuxfluesterer
Old Dear Hen
Posts: 873
Joined: Thu Sep 20, 2012 19:47
Location: Germany

Re: Cannot change to SDDM login screen [reopened]

Post by linuxfluesterer » Wed Oct 18, 2017 23:16

I'm not sure about the Sabayon repo package. There are many, many packages including the expression python. When I enter the command to check the version, I receive:

Code: Select all

python --version
Python 2.7.12
When I check for dev-python/pygobject with equo, then I receive:

Code: Select all

equo s dev-python/pygobject
╠  @@ Suche...
╠      @@ Paket: dev-python/pygobject-2.28.6-r55 Branch: 5, [sabayonlinux.org] 
╠          Verfügbar:      Version: 2.28.6-r55 ~ tag: NoTag ~ Version: 1
╠          Installiert:    Version: 2.28.6-r55 ~ tag: NoTag ~ Version: 1
╠          Slot:           2
╠          Homepage:       http://www.pygtk.org/ 
╠          Beschreibung:   GLib's GObject library bindings 
╠                          for Python 
╠          Lizenz:         LGPL-2.1+
╠      @@ Paket: dev-python/pygobject-3.24.1 Branch: 5, [sabayonlinux.org] 
╠          Verfügbar:      Version: 3.24.1 ~ tag: NoTag ~ Version: 1
╠          Installiert:    Version: Nicht installiert ~ tag: n/a ~ Version: n/a
╠          Slot:           3
╠          Homepage:       https://wiki.gnome.org/Projects/PyGObject 
╠          Beschreibung:   GLib's GObject library bindings 
╠                          for Python, meta package 
╠          Lizenz:         LGPL-2.1+
╠      @@ Paket: dev-python/pygobject-base-3.24.1 Branch: 5, [sabayonlinux.org] 
╠          Verfügbar:      Version: 3.24.1 ~ tag: NoTag ~ Version: 1
╠          Installiert:    Version: 3.24.1 ~ tag: NoTag ~ Version: 1
╠          Slot:           3
╠          Homepage:       https://wiki.gnome.org/Projects/PyGObject 
╠          Beschreibung:   GLib's GObject library bindings 
╠                          for Python 
╠          Lizenz:         LGPL-2.1+
╠      @@ Paket: dev-python/pygobject-cairo-3.24.1 Branch: 5, [sabayonlinux.org] 
╠          Verfügbar:      Version: 3.24.1 ~ tag: NoTag ~ Version: 1
╠          Installiert:    Version: 3.24.1 ~ tag: NoTag ~ Version: 1
╠          Slot:           3
╠          Homepage:       https://wiki.gnome.org/Projects/PyGObject 
╠          Beschreibung:   GLib's GObject library bindings 
╠                          for Python, Cairo Libraries 
╠          Lizenz:         LGPL-2.1+
╠   Schlüsselwörter:  dev-python/pygobject
╠   Gefunden:         4 Einträge
And now?

-Linuxfluesterer (I love KDE...)
Take away Facebook from me and let there be real people again...

User avatar
sabayonino
Sagely Hen
Posts: 3383
Joined: Sun Sep 21, 2008 1:12
Location: Italy
Contact:

Re: Cannot change to SDDM login screen [reopened]

Post by sabayonino » Thu Oct 19, 2017 11:17

switch python targets running eselectpython module

Code: Select all

# eselect python list 
...
# eselect python set <python-target>
but I'm not sure that this fix your problem

User avatar
linuxfluesterer
Old Dear Hen
Posts: 873
Joined: Thu Sep 20, 2012 19:47
Location: Germany

Re: Cannot change to SDDM login screen [reopened]

Post by linuxfluesterer » Thu Oct 19, 2017 13:31

Thanks Sabayonino.
I changed to python 3.4 but ...gi is still missing.
As I read in an ARCH forums thread, there is a python-gi package, but not in Sabayon.
Still no change in low resolution.

-Linuxfluesterer (I love KDE...)
Take away Facebook from me and let there be real people again...

Stupot
Sagely Hen
Posts: 1745
Joined: Wed Feb 14, 2007 3:44
Location: St. Louis, MO, USA

Re: Cannot change to SDDM login screen [reopened]

Post by Stupot » Thu Oct 19, 2017 14:54

I have it on my system. It's located at:

/usr/lib/python2.7/site-packages/gi

Code: Select all

[email protected] /usr/lib/python2.7/site-packages/gi $ equo query belongs /usr/lib/python2.7/site-packages/gi/_gi.so
╠  @@ Belong Search
╠      @@ Package: dev-python/pygobject-base-3.24.1 branch: 5, [__system__] 
╠          Installed:     version: 3.24.1 ~ tag: NoTag ~ revision: 1
╠          Slot:          3
╠          Homepage:      https://wiki.gnome.org/Projects/PyGObject 
╠          Description:   GLib's GObject library bindings 
╠                         for Python 
╠          License:       LGPL-2.1+
╠   Keyword:  /usr/lib/python2.7/site-packages/gi/_gi.so
╠   Found:    1 entry

User avatar
albfneto
Sagely Hen
Posts: 1911
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil
Contact:

Re: Cannot change to SDDM login screen [reopened]

Post by albfneto » Thu Oct 19, 2017 17:27

I'm not certain about the problem, but check Kwallet and PAM permissions, see for example this:

https://wiki.gentoo.org/wiki/KDE

and search in net for "SDDM and PAM", many issues.
ALBERTO FEDERMAN NETO
albfneto
[email protected]
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE

User avatar
linuxfluesterer
Old Dear Hen
Posts: 873
Joined: Thu Sep 20, 2012 19:47
Location: Germany

Re: Cannot change to SDDM login screen [reopened]

Post by linuxfluesterer » Thu Oct 19, 2017 18:32

thanks...
I don't have problems with kwallet and auto login. I want to login by password, which works fine.
Only the login window and the wallpaper are of too low resolution.

-Linuxfluesterer (I love KDE ...)
Take away Facebook from me and let there be real people again...

User avatar
sabayonino
Sagely Hen
Posts: 3383
Joined: Sun Sep 21, 2008 1:12
Location: Italy
Contact:

Re: Cannot change to SDDM login screen [reopened]

Post by sabayonino » Thu Oct 19, 2017 19:45

it depends on X server configuration

User avatar
linuxfluesterer
Old Dear Hen
Posts: 873
Joined: Thu Sep 20, 2012 19:47
Location: Germany

Re: Cannot change to SDDM login screen [reopened]

Post by linuxfluesterer » Thu Oct 19, 2017 23:15

sabayonino wrote:it depends on X server configuration
sorry, this information is not very helpful. Shouldn't the most modern hardware pieces incl. monitors be recognized by by a type number (eeid or somewhat)? I don't know, which parameters I should set where. I assume, under /etc/X11/xorg.conf.d/90_xxxxx.conf.
My monitor is a Dell U3415W with 34 inches, 3440x1440 pixels, and 798,20 mm (31,43 inches) by 334,80 mm (13,18 inches) active screen. I use Display Port with 3440x1440x32 by 59,9 hz.

-Linuxfluesterer (I love KDE...)
Take away Facebook from me and let there be real people again...

Post Reply